Name:		realmd
Version:	0.7
Release:	%mkrel 4
Summary:	Kerberos realm enrollment service
License:	LGPLv2+
URL:		http://cgit.freedesktop.org/realmd/realmd/
Source0:	http://www.freedesktop.org/software/realmd/releases/realmd-%{version}.tar.gz
Group:		Networking/Other

BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(glib-2.0) >= 2.33.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.33.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.33.0
BuildRequires:	pkgconfig(packagekit-glib2)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	krb5-devel
BuildRequires:	gtk-doc

%description
realmd is a DBus system service which manages discovery and enrollment in realms
and domains like Active Directory or IPA. The control center uses realmd as the
back end to 'join' a domain simply and automatically configure things correctly.

%package        devel-docs
Summary:        Developer documentation files for %{name}

%description    devel-docs
The %{name}-devel package contains developer documentation for developing
applications that use %{name}.

%define _hardened_build 1

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall_std

%files
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.realmd.conf
%{_bindir}/realm
%dir %{_libdir}/realmd
%{_libdir}/realmd/net-ads-smb.conf
%{_libdir}/realmd/realmd
%{_libdir}/realmd/realmd-defaults.conf
%{_libdir}/realmd/realmd-distro.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.realmd.service
%{_datadir}/polkit-1/actions/org.freedesktop.realmd.policy
%doc AUTHORS COPYING ChangeLog NEWS README

%files devel-docs
%doc %{_datadir}/gtk-doc/



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.7-4.mga4
+ Revision: 517985
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7-3.mga3
+ Revision: 380261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 tv <tv> 0.7-2.mga3
+ Revision: 323927
- rebuild for new pk

* Mon Sep 10 2012 ovitters <ovitters> 0.7-1.mga3
+ Revision: 291976
- add group
- Import from Fedora


* Mon Aug 20 2012 Stef Walter <stefw@redhat.com - 0.7-2
- Build requires gtk-doc

* Mon Aug 20 2012 Stef Walter <stefw@redhat.com - 0.7-1
- Update to upstream 0.7 version
- Remove files no longer present in upstream version
- Put documentation in its own realmd-devel-docs subpackage
- Update upstream URLs

* Fri Aug 6 2012 Stef Walter <stefw@redhat.com> - 0.6-1
- Update to upstream 0.6 version

* Wed Jul 17 2012 Stef Walter <stefw@redhat.com> - 0.5-2
- Remove missing SssdIpa.service file from the files list.
  This file will return upstream in 0.6

* Wed Jul 17 2012 Stef Walter <stefw@redhat.com> - 0.5-1
- Update to upstream 0.5 version

* Tue Jun 19 2012 Stef Walter <stefw@redhat.com> - 0.4-1
- Update to upstream 0.4 version
- Cleanup various rpmlint warnings

* Tue Jun 19 2012 Stef Walter <stefw@redhat.com> - 0.3-2
- Add doc files
- Own directories
- Remove obsolete parts of spec file
- Remove explicit dependencies
- Updated License line to LGPLv2+

* Tue Jun 19 2012 Stef Walter <stefw@redhat.com> - 0.3
- Build fixes

* Mon Jun 18 2012 Stef Walter <stefw@redhat.com> - 0.2
- Initial RPM
